if PACKAGE_userinterface
choice
	prompt "Select backend of user interface HTTP Access management"
	default USERINTERFACE_HTTPACCESS_BACKEND_NGINX
	depends on PACKAGE_userinterface
	help
		Select which backend daemon to use for User Interface HTTP Access

config USERINTERFACE_HTTPACCESS_BACKEND_NGINX
	bool "Use nginx backend"
	help
	   Enable this option to use nginx for HTTP Access.


endchoice

config USERINTERFACE_HTTPACCESS_MIGRATE_NGINX_CONFIG
	bool "migrate nginx config"
	depends on USERINTERFACE_HTTPACCESS_BACKEND_NGINX
	default n
	help
		Migrate nginx to userinterface on firmware upgrade

config USERINTERFACE_VENDOR_EXTENSIONS
	bool "Include vendor extensions for UserInterface object"
	default y
	help
		Includes datamodel Vendor extensions for UserIntercace object

config USERINTERFACE_VENDOR_PREFIX
	depends on USERINTERFACE_VENDOR_EXTENSIONS
	string "Vendor Prefix for userinterface datamodel extensions"
	default ""

endif
